/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\misc\BagOfBoards.cs
Lines of code: 42
***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class BagOfBoards : Bag
	{
		[Constructable]
		public BagOfBoards() : this( 10 )
		{
		}

		[Constructable]
		public BagOfBoards( int amount )
		{
			for ( int j = 0; j < amount; j++ )
			{
				switch ( Utility.Random( 6 ))
				{                                   
					case 0: DropItem( new OakBoard( Utility.Random(50,100) )); break;   
					case 1: DropItem( new AshBoard( Utility.Random(50,100) )); break;
					case 2: DropItem( new YewBoard( Utility.Random(50,100) )); break;
					case 3: DropItem( new BloodwoodBoard( Utility.Random(50,100) )); break;    
					case 4: DropItem( new HeartwoodBoard( Utility.Random(50,100) )); break;   
					case 5: DropItem( new FrostwoodBoard( Utility.Random(50,100) )); break;    
				}		
			}
		}

		public BagOfBoards( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}